## mame 0.256+dfsg.1

=== 3rdparty/portaudio/test/CMakeLists.txt ===
# Test projects
# Use the macro to add test projects

add_test(pa_minlat)
add_test(patest1)
add_test(patest_buffer)
add_test(patest_callbackstop)
add_test(patest_clip)
if(LINK_PRIVATE_SYMBOLS)
  add_test(patest_converters)
endif()
add_test(patest_dither)
if(PA_USE_DS)
    add_test(patest_dsound_find_best_latency_params)
    add_test(patest_dsound_low_level_latency_params)
    add_test(patest_dsound_surround)
endif()
add_test(patest_hang)
add_test(patest_in_overflow)
if(PA_USE_WASAPI)
    add_test(patest_jack_wasapi)
endif()
add_test(patest_latency)
add_test(patest_leftright)
add_test(patest_longsine)
add_test(patest_many)
add_test(patest_maxsines)
add_test(patest_mono)
add_test(patest_multi_sine)
add_test(patest_out_underflow)
add_test(patest_prime)
add_test(patest_read_record)
add_test(patest_ringmix)
add_test(patest_sine8)
add_test(patest_sine_channelmaps)
add_test(patest_sine_formats)
add_test(patest_sine_srate)
add_test(patest_sine_time)
add_test(patest_start_stop)
add_test(patest_stop)
add_test(patest_stop_playout)
add_test(patest_suggested_vs_streaminfo_latency)
if(LINK_PRIVATE_SYMBOLS)
  add_test(patest_sync)
endif()
add_test(patest_timing)
add_test(patest_toomanysines)
add_test(patest_two_rates)
add_test(patest_underflow)
add_test(patest_unplug)
add_test(patest_wire)
if(PA_USE_WMME)
    add_test(patest_wmme_find_best_latency_params)
    add_test(patest_wmme_low_level_latency_params)
endif()
add_test(patest_write_stop)
if(UNIX)
    add_test(patest_write_stop_hang_illegal)
endif()

=== debian/changelog ===
mame (0.256+dfsg.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Build internal asio instead of using the system's, because Bullseye's is
    now too old and causes FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 15 Jul 2023 12:06:34 -0700

mame (0.255+dfsg.1-2) unstable; urgency=medium

  * Fix builds on 32bit arm architectures:
    - add patches from src:7zip to disable hardware acceleration where
      appropriate.
    - add += -Wl,--long-plt to LDFLAGS on armel.
    Thanks to Adrian Bunk for the above!

 -- Jordi Mallach <jordi@debian.org>  Fri, 23 Jun 2023 02:19:15 +0200

=== debian/control ===
Source: mame
Section: games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Cesare Falco <c.falco@ubuntu.com>,
           Emmanuel Kasper <emmanuel@libera.cc>,
           Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.17),
# This is incorrect, 1.20 is now too old, so switching to internal asio build
#               libasio-dev (>= 1.20),
               libexpat1-dev,
               libflac-dev,
               libfontconfig1-dev,
               libglm-dev,
               libjpeg-dev,
               libportmidi-dev [linux-any],
               libpugixml-dev,
               libsdl2-dev,
               libsdl2-ttf-dev,
               libsqlite3-dev,
               libutf8proc-dev,
               libutil-freebsd-dev [kfreebsd-any],
               libxinerama-dev,
               portaudio19-dev,
               python3-dev,
               qtbase5-dev,
               rapidjson-dev (>= 1.0),
               zlib1g-dev
Build-Depends-Indep: python3-sphinx
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/games-team/mame.git
Vcs-Browser: https://salsa.debian.org/games-team/mame
Homepage: https://mamedev.org/
Rules-Requires-Root: no

Package: mame
Architecture: any
Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: mess (<< 0.162)
Breaks: mess (<< 0.162)
Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
Description: Multiple Arcade Machine Emulator (MAME)
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides the MAME binary and configuration files.

Package: mame-data
Architecture: all
Depends: ${misc:Depends}
Replaces: mess-data (<< 0.162)
Breaks: mess-data (<< 0.162)
Multi-Arch: foreign
Description: Multiple Arcade Machine Emulator (MAME) -- data files
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation). This program is not a game but can
 directly, through ROM images, run the complete system of these old arcade
 machines. These ROMs are subject to copyright and it is in most of the cases
 illegal to use them if you do not own the arcade machine.
 .
 This package provides MAME hash files, keymaps, artwork, language files,
 shaders, plugins and audio samples.

Package: mame-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: mame (= ${source:Version})
Description: Tools for MAME
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation).
 .
 This package provides tools to be used with MAME. It currently contains:
  castool -- generic cassette manipulation tool for MAME
  chdman -- MAME Compressed Hunks of Data CHD manager
  floptool -- Generic floppy image manipulation tool for MESS
  imgtool -- generic image manipulation tool for MAME
  jedutil -- binary to/from JEDEC file converter
  ldresample -- Laserdisc audio synchronizer and resampler
  ldverify -- Laserdisc AVI/CHD verifier
  romcmp -- ROM comparison utility program

Package: mame-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjs-mathjax, libjs-sphinxdoc
Enhances: mame
Multi-Arch: foreign
Description: Documentation for MAME
 MAME is a hardware emulator: it faithfully reproduces the behavior of many
 arcade machines (it is not a simulation).
 .
 This is sphinx-generated full documentation for the MAME system.

## mame 0.257%2Bdfsg.1

=== 3rdparty/linenoise/Makefile ===
CFLAGS += -Wall -W -Os -g
CC ?= gcc

all:  linenoise_example linenoise_utf8_example

linenoise_example: linenoise.h linenoise-ship.c linenoise-win32.c example.c
	$(CC) $(CFLAGS) -o $@ linenoise-ship.c example.c

linenoise_utf8_example: linenoise.h linenoise-ship.c linenoise-win32.c
	$(CC) $(CFLAGS) -DUSE_UTF8 -o $@ linenoise-ship.c example.c

clean:
	rm -f linenoise_example linenoise_utf8_example linenoise-ship.c *.o

ship: linenoise-ship.c

# linenoise-ship.c simplifies delivery of linenoise support
# simple copy linenoise-ship.c to linenoise.c in your application, and also linenoise.h
# - If you want win32 support, also copy linenoise-win32.c
# - If you never want to support utf-8, you can omit utf8.h and utf8.c

linenoise-ship.c: utf8.h utf8.c stringbuf.h stringbuf.c linenoise.c
	cat $^ >$@

## mame 0.257+dfsg.1

=== debian/changelog ===
mame (0.257+dfsg.1-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 31 Jul 2023 20:58:19 -0700

mame (0.256+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 28 Jun 2023 15:52:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
            Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17),
-# This is incorrect, 1.20 is now too old, so switching to internal asio build
-#               libasio-dev (>= 1.20),
+               libasio-dev (>= 1.20),
                libexpat1-dev,
                libflac-dev,
                libfontconfig1-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Default/i386/amd64 options from sdlmame rules file by Cesare Falco.

#export DH_VERBOSE = 1

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

# Define DEB_HOST_MULTIARCH for QT prefix handling
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# add c++ hardening options (upstream makefile doesn't use CPPFLAGS)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# taken verbatim from debian policy
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# Use the less-greedy-for-memory Gold linker whenever available
LINK_WITH_GOLD = 1

# g++ 10 seems buggy on some archs, use to build with g++ 9 as a workaround
# if enabled, remember to add dependency on g++-9 in debian/control as well!
COMPILE_WITH_GCC9 =

# Override relevant make variables in original makefile
DEB_OPTS = \
    NOWERROR=1 \
    OSD=sdl \
    DEBUG= \
    TARGETOS=linux \
    DISTRO=debian-stable \
    PTR64= \
    BIGENDIAN= \
    PYTHON_EXECUTABLE=python3 \
    QT_HOME=/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ \
    USE_SYSTEM_LIB_ASIO=1 \
    USE_SYSTEM_LIB_EXPAT=1 \
    USE_SYSTEM_LIB_ZLIB=1 \
    USE_SYSTEM_LIB_JPEG=1 \
    USE_SYSTEM_LIB_FLAC=1 \
    USE_SYSTEM_LIB_SQLITE3=1 \
    USE_SYSTEM_LIB_PORTMIDI=1 \
    USE_SYSTEM_LIB_PORTAUDIO=1 \
    USE_BUNDLED_LIB_SDL2= \
    USE_SYSTEM_LIB_UTF8PROC=1 \
    USE_SYSTEM_LIB_GLM=1 \
    USE_SYSTEM_LIB_RAPIDJSON=1 \
    USE_SYSTEM_LIB_PUGIXML=1 \
    VERBOSE=1

# verbatim from Mame 0.253 release notes:
# MAME now requires Lua compiled as C++ to work correctly.
# This prevents the use of Lua libraries from Linux distribution
# package repositories, as they are compiled as C.
#DEB_OPTS += \
#    USE_SYSTEM_LIB_LUA=lua5.3:/usr/include/lua5.3

# Make build less verbose if requested
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
DEB_OPTS += \
    VERBOSE=
endif

# Set specific arch options
ifeq ($(DEB_HOST_ARCH),alpha)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),amd64)
DEB_OPTS += \
    PTR64=1
endif

ifeq ($(DEB_HOST_ARCH),arm64)
DEB_OPTS += \
    ARCHOPTS="-mabi=lp64 -fPIC"
# reduce jobs to release memory on Launchpad builder VM
NUMJOBS = 2
endif

ifeq ($(DEB_HOST_ARCH),armel)
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--long-plt
endif

ifeq ($(DEB_HOST_ARCH),armhf)
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--allow-multiple-definition
endif

ifeq ($(DEB_HOST_ARCH),hppa)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),ia64)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),m68k)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),mips)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
DEB_OPTS += \
    ARCHOPTS=-Umips \
    NOASM=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),mips64el)
DEB_OPTS += \
    NOASM=1
export DEB_CXXFLAGS_MAINT_APPEND += -mxgot
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
DEB_OPTS += \
    ARCHOPTS=-Upowerpc \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),ppc64el)
DEB_OPTS += \
    PTR64=1
LINK_WITH_GOLD =
# reduce jobs to release memory on Launchpad builder VM
NUMJOBS = 2
endif

ifeq ($(DEB_HOST_ARCH),riscv64)
DEB_OPTS += \
    OPTIMIZE=1 \
    PTR64=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),s390x)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1
endif

ifeq ($(DEB_HOST_ARCH),sh4)
LINK_WITH_GOLD =
DEB_OPTS += \
    NOASM=1
endif

ifeq ($(DEB_HOST_ARCH),sparc)
DEB_OPTS += \
    BIGENDIAN=1
LINK_WITH_GOLD =
endif

ifeq ($(DEB_HOST_ARCH),sparc64)
DEB_OPTS += \
    PTR64=1 \
    BIGENDIAN=1 \
    NOASM=1
LINK_WITH_GOLD =
endif

# kFreeBSD architectures
ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
DEB_OPTS += \
    TARGETOS=freebsd \
    PTR64=1 \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
DEB_OPTS += \
    TARGETOS=freebsd \
    USE_SYSTEM_LIB_PORTMIDI=
export DEB_LDFLAGS_MAINT_APPEND = -ldl
endif

# GNU/Hurd architecture
ifeq ($(DEB_HOST_ARCH),hurd-i386)
DEB_OPTS += \
    TARGETOS=gnu \
    USE_SYSTEM_LIB_PORTMIDI= \
    NO_USE_MIDI=1
LINK_WITH_GOLD =
endif

DEB_MAME_OPTS = \
    SDL_INI_PATH=/etc/mame \
    FULLNAME=mame \
    TARGET=mame \
    SUBTARGET=mame \
    TOOLS=1

ifdef COMPILE_WITH_GCC9
DEB_OPTS += \
	CC=gcc-9 \
	LD=g++-9 \
	CXX=g++-9
endif

ifdef LINK_WITH_GOLD
export DEB_LDFLAGS_MAINT_PREPEND += \
    -fuse-ld=gold -Wl,--no-keep-memory
else
# Sacrifice linking speed to avoid using so much memory
export DEB_LDFLAGS_MAINT_APPEND += \
    -Wl,--no-keep-memory,--reduce-memory-overheads,--hash-size=31
endif

ifdef NUMJOBS
MAKEFLAGS += -j$(NUMJOBS)
endif

ifdef DH_VERBOSE
export DEB_LDFLAGS_MAINT_APPEND += -Wl,--verbose,--trace
endif

ifndef DEBUG
# Disable -g entirely
CFLAGS := $(CFLAGS:-g=-g0)
endif

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) $(DEB_OPTS) $(DEB_MAME_OPTS)
	-mv mame64 mame #FIXME
	$(CURDIR)/mame -createconfig
	mv mame.ini default.mame.ini
	mv plugin.ini default.plugin.ini
	mv ui.ini default.ui.ini

override_dh_auto_build-indep:
	$(MAKE) -C docs singlehtml

override_dh_auto_clean:
	PYTHON_EXECUTABLE=python3 dh_auto_clean

override_dh_auto_test-arch:
	# Run MAME's internal validation tests
	-$(CURDIR)/mame -validate

override_dh_install:
	dh_install --exclude=dir.txt \
		   --exclude=LICENSE \
		   --exclude=README.md

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms
	find debian/mame/etc/mame -type f -execdir chmod 644 {} \;

override_dh_fixperms-indep:
	dh_fixperms
	find debian/mame-data/usr/share/games/mame/artwork -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/bgfx -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/ctrlr -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/fonts -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/hash -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/keymaps -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mame 0.258+dfsg.1

=== 3rdparty/portaudio/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)
project(PortAudio VERSION 19.8)

#
# General PortAudio stuff
#

option(PA_BUILD_SHARED_LIBS "Build dynamic library" ${BUILD_SHARED_LIBS})
option(PA_BUILD_TESTS "Include test projects" OFF)
option(PA_BUILD_EXAMPLES "Include example projects" OFF)

if(PA_BUILD_SHARED_LIBS)
  set(LIBRARY_BUILD_TYPE SHARED)
else()
  set(LIBRARY_BUILD_TYPE STATIC)
endif()

add_library(PortAudio
  ${LIBRARY_BUILD_TYPE}
  src/common/pa_allocation.c
  src/common/pa_allocation.h
  src/common/pa_converters.c
  src/common/pa_converters.h
  src/common/pa_cpuload.c
  src/common/pa_cpuload.h
  src/common/pa_debugprint.c
  src/common/pa_debugprint.h
  src/common/pa_dither.c
  src/common/pa_dither.h
  src/common/pa_endianness.h
  src/common/pa_front.c
  src/common/pa_hostapi.h
  src/common/pa_memorybarrier.h
  src/common/pa_process.c
  src/common/pa_process.h
  src/common/pa_ringbuffer.c
  src/common/pa_ringbuffer.h
  src/common/pa_stream.c
  src/common/pa_stream.h
  src/common/pa_trace.c
  src/common/pa_trace.h
  src/common/pa_types.h
  src/common/pa_util.h
)

include(GNUInstallDirs)

target_include_directories(PortAudio PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/common>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)
if(UNIX)
  target_compile_options(PortAudio PRIVATE -fPIC)
endif()

set(PORTAUDIO_PUBLIC_HEADERS include/portaudio.h)

find_package(Threads REQUIRED)
target_link_libraries(PortAudio PRIVATE Threads::Threads)

option(PA_ENABLE_DEBUG_OUTPUT "Enable debug output for Portaudio" OFF)
if(PA_ENABLE_DEBUG_OUTPUT)
  target_compile_definitions(PortAudio PRIVATE PA_ENABLE_DEBUG_OUTPUT)
endif()

include(TestBigEndian)
TEST_BIG_ENDIAN(IS_BIG_ENDIAN)
if(IS_BIG_ENDIAN)
  target_compile_definitions(PortAudio PRIVATE PA_BIG_ENDIAN)
else()
  target_compile_definitions(PortAudio PRIVATE PA_LITTLE_ENDIAN)
endif()

if(WIN32 AND MSVC AND PA_BUILD_SHARED_LIBS
  # Check if the user is building PortAudio stand-alone or as part of a larger
  # project. If this is part of a larger project (i.e. the CMakeLists.txt has
  # been imported by some other CMakeLists.txt), we don't want to override
  # that project's global settings.
  AND "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_LIST_DIR}")
  option(PA_DLL_LINK_WITH_STATIC_RUNTIME
    "Link with static runtime libraries (minimizes runtime dependencies)" ON)
  if(PA_DLL_LINK_WITH_STATIC_RUNTIME)
    foreach(flag_var
      CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
      CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO
      CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE
      CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
      if(${flag_var} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
      endif()
    endforeach()
  endif()
endif()

#
# Host APIs
#

option(PA_USE_SKELETON "Use skeleton host API" OFF)
if(PA_USE_SKELETON)
  target_sources(PortAudio PRIVATE src/hostapi/skeleton/pa_hostapi_skeleton.c)
  target_compile_definitions(PortAudio PRIVATE PA_USE_SKELETON=1)
endif()

include(CMakeDependentOption)
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

# JACK is most commonly used on Linux, but it is cross platform, so allow building it on any OS
# if the FindJACK.cmake module finds POSIX headers.
find_package(JACK)
cmake_dependent_option(PA_USE_JACK "Enable support for JACK Audio Connection Kit" ON JACK_FOUND OFF)
if(PA_USE_JACK)
  target_link_libraries(PortAudio PRIVATE JACK::jack)
  target_sources(PortAudio PRIVATE src/hostapi/jack/pa_jack.c)
  set(PORTAUDIO_PUBLIC_HEADERS "${PORTAUDIO_PUBLIC_HEADERS}" include/pa_jack.h)
  target_compile_definitions(PortAudio PUBLIC PA_USE_JACK=1)
  set(PKGCONFIG_CFLAGS "${PKGCONFIG_CFLAGS} -DPA_USE_JACK=1")
  set(PKGCONFIG_REQUIRES_PRIVATE "${PKGCONFIG_REQUIRES_PRIVATE} jack")

  # needed for PortAudioConfig.cmake so `find_package(PortAudio)` works in downstream projects
  install(FILES cmake/modules/FindRegex.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/portaudio/modules")
  install(FILES cmake/modules/FindJACK.cmake DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/portaudio/modules")
endif()

if(WIN32)
  target_sources(PortAudio PRIVATE
    src/os/win/pa_win_coinitialize.c
    src/os/win/pa_win_coinitialize.h
    src/os/win/pa_win_hostapis.c
    src/os/win/pa_win_util.c
    src/os/win/pa_win_util.h
    src/os/win/pa_win_waveformat.c
    src/os/win/pa_win_wdmks_utils.h
    src/os/win/pa_x86_plain_converters.h
  )
  target_include_directories(PortAudio PRIVATE src/os/win)
  set(PORTAUDIO_PUBLIC_HEADERS "${PORTAUDIO_PUBLIC_HEADERS}" include/pa_win_waveformat.h)
  target_link_libraries(PortAudio PRIVATE winmm)

  if(MSVC)
    target_sources(PortAudio PRIVATE src/os/win/pa_x86_plain_converters.c)
  else()
    target_compile_definitions(PortAudio PRIVATE _WIN32_WINNT=0x0501 WINVER=0x0501)
    set(DEF_EXCLUDE_X86_PLAIN_CONVERTERS ";")
  endif()

  target_compile_definitions(PortAudio PRIVATE _CRT_SECURE_NO_WARNINGS)

  option(PA_USE_ASIO "Enable support for ASIO" OFF)
  if(PA_USE_ASIO)
    find_package(ASIO)
    # Automatically download the ASIO SDK ZIP if it is not found. The ASIO SDK license
    # allows for downloading it from Steinberg and using it without charge, but it is
    # not allowed to be redistributed.
    #
    # The file(ARCHIVE_EXTRACT) command needed to extract the ZIP archive was added in
    # CMake 3.18, so do not bother downloading the ZIP archive for older CMake versions.
    # Instead, FindASIO.cmake directs the user to manually extract the ZIP file to
    # CMAKE_PREFIX_PATH or CMAKE_CURRENT_BINARY_DIR.
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.18 AND NOT TARGET ASIO::host)
      if(NOT ASIO_SDK_ZIP_PATH)
        set(ASIO_SDK_ZIP_PATH "${CMAKE_CURRENT_BINARY_DIR}/asiosdk.zip")
      endif()
      message(STATUS "Downloading ASIO SDK... ${ASIO_SDK_ZIP_PATH}")
      file(DOWNLOAD "https://www.steinberg.net/asiosdk"
        "${ASIO_SDK_ZIP_PATH}"
        STATUS ASIO_DOWNLOAD_STATUS
        SHOW_PROGRESS
      )
      if("${ASIO_DOWNLOAD_STATUS}" EQUAL 0)
        find_package(ASIO)
      else()
        list(GET "${ASIO_DOWNLOAD_STATUS}" 1 DOWNLOAD_ERROR)
        message(FATAL_ERROR "Error downloading ASIO SDK: ${DOWNLOAD_ERROR} "
          "Reconfigure CMake with -DPA_USE_ASIO=OFF to build without ASIO. "
          "Alternatively, download the ZIP from https://www.steinberg.net/asiosdk "
          "and put it in ${CMAKE_PREFIX_PATH} or ${CMAKE_CURRENT_BINARY_DIR}"
        )
      endif()
    endif()
  endif()
  if(PA_USE_ASIO AND TARGET ASIO::host)
    target_link_libraries(PortAudio PRIVATE "$<BUILD_INTERFACE:ASIO::host>")
    set(PORTAUDIO_PUBLIC_HEADERS "${PORTAUDIO_PUBLIC_HEADERS}" include/pa_asio.h)
    target_compile_definitions(PortAudio PUBLIC PA_USE_ASIO=1)
    set(PKGCONFIG_CFLAGS "${PKGCONFIG_CFLAGS} -DPA_USE_ASIO=1")
    target_sources(PortAudio PRIVATE
      src/hostapi/asio/pa_asio.cpp
      src/hostapi/asio/iasiothiscallresolver.cpp
      src/hostapi/asio/iasiothiscallresolver.h
    )
  else()
    set(DEF_EXCLUDE_ASIO_SYMBOLS ";")
  endif()

  option(PA_USE_DS "Enable support for DirectSound" ON)
  if(PA_USE_DS)
    target_sources(PortAudio PRIVATE
      src/hostapi/dsound/pa_win_ds.c
      src/hostapi/dsound/pa_win_ds_dynlink.c
      src/hostapi/dsound/pa_win_ds_dynlink.h
    )
    target_include_directories(PortAudio PRIVATE src/hostapi/dsound)
    set(PORTAUDIO_PUBLIC_HEADERS "${PORTAUDIO_PUBLIC_HEADERS}" include/pa_win_ds.h)
    target_compile_definitions(PortAudio PUBLIC PA_USE_DS=1)
    set(PKGCONFIG_CFLAGS "${PKGCONFIG_CFLAGS} -DPA_USE_DS=1")
    target_link_libraries(PortAudio PRIVATE dsound)
    if(NOT MINGW)
      target_compile_definitions(PortAudio PRIVATE PAWIN_USE_DIRECTSOUNDFULLDUPLEXCREATE)
    endif()
  endif()

  option(PA_USE_WMME "Enable support for WMME" ON)
  if(PA_USE_WMME)
    target_sources(PortAudio PRIVATE src/hostapi/wmme/pa_win_wmme.c)
    set(PORTAUDIO_PUBLIC_HEADERS "${PORTAUDIO_PUBLIC_HEADERS}" include/pa_win_wmme.h)
    target_compile_definitions(PortAudio PUBLIC PA_USE_WMME=1)
    set(PKGCONFIG_CFLAGS "${PKGCONFIG_CFLAGS} -DPA_USE_WMME=1")
    target_link_libraries(PortAudio PRIVATE ole32 uuid)
  else()
    set(DEF_EXCLUDE_WMME_SYMBOLS ";")
  endif()

  option(PA_USE_WASAPI "Enable support for WASAPI" ON)
  if(PA_USE_WASAPI)
    target_sources(PortAudio PRIVATE src/hostapi/wasapi/pa_win_wasapi.c)
    set(PORTAUDIO_PUBLIC_HEADERS "${PORTAUDIO_PUBLIC_HEADERS}" include/pa_win_wasapi.h)
    target_compile_definitions(PortAudio PUBLIC PA_USE_WASAPI=1)
    set(PKGCONFIG_CFLAGS "${PKGCONFIG_CFLAGS} -DPA_USE_WASAPI=1")
    target_link_libraries(PortAudio PRIVATE ole32 uuid)
  else()
    set(DEF_EXCLUDE_WASAPI_SYMBOLS ";")
  endif()

  option(PA_USE_WDMKS "Enable support for WDMKS" ON)
  if(PA_USE_WDMKS)
    target_sources(PortAudio PRIVATE
      src/os/win/pa_win_wdmks_utils.c
      src/hostapi/wdmks/pa_win_wdmks.c
    )
    set(PORTAUDIO_PUBLIC_HEADERS "${PORTAUDIO_PUBLIC_HEADERS}" include/pa_win_wdmks.h)
    target_compile_definitions(PortAudio PUBLIC PA_USE_WDMKS=1)
    set(PKGCONFIG_CFLAGS "${PKGCONFIG_CFLAGS} -DPA_USE_WDMKS=1")
    target_link_libraries(PortAudio PRIVATE setupapi ole32 uuid)
  endif()

  option(PA_USE_WDMKS_DEVICE_INFO "Use WDM/KS API for device info" ON)
  if(PA_USE_WDMKS_DEVICE_INFO)
    target_compile_definitions(PortAudio PRIVATE PAWIN_USE_WDMKS_DEVICE_INFO)
  endif()

  if(PA_BUILD_SHARED_LIBS)
    configure_file(cmake/portaudio.def.in "${CMAKE_CURRENT_BINARY_DIR}/portaudio.def" @ONLY)
    target_sources(PortAudio PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/portaudio.def")
  endif()
elseif(UNIX)
  target_sources(PortAudio PRIVATE
    src/os/unix/pa_unix_hostapis.c
    src/os/unix/pa_unix_util.c
    src/os/unix/pa_unix_util.h
  )
  target_include_directories(PortAudio PRIVATE src/os/unix)
  target_link_libraries(PortAudio PRIVATE m)
  set(PKGCONFIG_LDFLAGS_PRIVATE "${PKGCONFIG_LDFLAGS_PUBLIC} -lm -lpthread")
  set(PKGCONFIG_CFLAGS "${PKGCONFIG_CFLAGS} -pthread")

  if(APPLE)
    set(CMAKE_MACOSX_RPATH 1)
    target_sources(PortAudio PRIVATE
      src/hostapi/coreaudio/pa_mac_core.c
      src/hostapi/coreaudio/pa_mac_core_blocking.c
      src/hostapi/coreaudio/pa_mac_core_blocking.h
      src/hostapi/coreaudio/pa_mac_core_internal.h
      src/hostapi/coreaudio/pa_mac_core_utilities.c
      src/hostapi/coreaudio/pa_mac_core_utilities.h
    )
    target_include_directories(PortAudio PRIVATE src/hostapi/coreaudio)
    set(PORTAUDIO_PUBLIC_HEADERS "${PORTAUDIO_PUBLIC_HEADERS}" include/pa_mac_core.h)

    find_library(COREAUDIO_LIBRARY CoreAudio REQUIRED)
    find_library(AUDIOTOOLBOX_LIBRARY AudioToolbox REQUIRED)
    find_library(AUDIOUNIT_LIBRARY AudioUnit REQUIRED)
    find_library(COREFOUNDATION_LIBRARY CoreFoundation REQUIRED)
    find_library(CORESERVICES_LIBRARY CoreServices REQUIRED)
    target_link_libraries(PortAudio PRIVATE
      "${COREAUDIO_LIBRARY}"
      "${AUDIOTOOLBOX_LIBRARY}"
      "${AUDIOUNIT_LIBRARY}"
      "${COREFOUNDATION_LIBRARY}"
      "${CORESERVICES_LIBRARY}"
    )
    target_compile_definitions(PortAudio PUBLIC PA_USE_COREAUDIO=1)
    set(PKGCONFIG_CFLAGS "${PKGCONFIG_CFLAGS} -DPA_USE_COREAUDIO=1")

    # Use C11 so that we can make use of atomic library and avoid deprecation errors.
    set_property(TARGET PortAudio PROPERTY C_STANDARD 11)

    set(PKGCONFIG_LDFLAGS_PRIVATE
      "${PKGCONFIG_LDFLAGS_PRIVATE} -framework CoreAudio -framework AudioToolbox -framework AudioUnit -framework CoreFoundation -framework CoreServices")
  else()
    # Some BSDs have a reimplementation of alsalib, so do not explicitly check for Linux.
    find_package(ALSA)
    cmake_dependent_option(PA_USE_ALSA "Enable support for ALSA" ON ALSA_FOUND OFF)
    if(PA_USE_ALSA)
      target_link_libraries(PortAudio PRIVATE "${ALSA_LIBRARIES}")
      target_sources(PortAudio PRIVATE src/hostapi/alsa/pa_linux_alsa.c)

=== debian/changelog ===
mame (0.258+dfsg.1-1build1) noble; urgency=medium

  * Rebuild against latest utf8proc

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Oct 2023 07:29:44 -0400

mame (0.258+dfsg.1-1) unstable; urgency=medium

  * New upstream release

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 30 Aug 2023 11:11:35 +0200

mame (0.257+dfsg.1-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * Add patch from Rob Savoury <savoury@savos.tech> to use the now available
    sphinxcontrib.rsvgconverter for the documentation generation
    (closes: #1023950).

  [ Cesare Falco ]
  * New upstream release

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 28 Jul 2023 12:08:48 +0200

## mame 0.260+dfsg.1

=== debian/changelog ===
mame (0.260+dfsg.1-0.1~mx23+1) mx; urgency=medium

  * Import new upstream release 0.260.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 31 Oct 2023 09:51:47 -0700

## mame 0.261+dfsg.1

=== debian/changelog ===
mame (0.261+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 20 Dec 2023 18:34:35 +0100

mame (0.260+dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * Update patches

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 25 Oct 2023 10:55:23 +0200

## mame 0.264%2Bdfsg.1

=== 3rdparty/asmjit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

cmake_policy(PUSH)

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW) # Honor visibility properties.
endif()

if(POLICY CMP0092)
  cmake_policy(SET CMP0092 NEW) # Don't add -W3 warning level by default.
endif()

# Don't create a project if it was already created by another CMakeLists.txt.
# This allows one library to embed another library without making a collision.
if (NOT CMAKE_PROJECT_NAME OR "${CMAKE_PROJECT_NAME}" STREQUAL "asmjit")
  project(asmjit CXX)
endif()

include(CheckCXXCompilerFlag)
include(GNUInstallDirs)

# AsmJit - Deprecated
# ===================

if (DEFINED ASMJIT_BUILD_EMBED)
  message(DEPRECATION "ASMJIT_BUILD_EMBED is deprecated, use ASMJIT_EMBED")
  set(ASMJIT_EMBED "${ASMJIT_BUILD_EMBED}")
endif()

if (DEFINED ASMJIT_BUILD_STATIC)
  message(DEPRECATION "ASMJIT_BUILD_STATIC is deprecated, use ASMJIT_STATIC")
  set(ASMJIT_STATIC "${ASMJIT_BUILD_STATIC}")
endif()

# AsmJit - Configuration
# ======================

if (NOT DEFINED ASMJIT_TEST)
  set(ASMJIT_TEST FALSE)
endif()

if (NOT DEFINED ASMJIT_EMBED)
  set(ASMJIT_EMBED FALSE)
endif()

if (NOT DEFINED ASMJIT_STATIC)
  set(ASMJIT_STATIC ${ASMJIT_EMBED})
endif()

if (NOT DEFINED ASMJIT_SANITIZE)
  set(ASMJIT_SANITIZE FALSE)
endif()

if (NOT DEFINED ASMJIT_NO_X86)
  set(ASMJIT_NO_X86 FALSE)
endif()

if (NOT DEFINED ASMJIT_NO_AARCH32)
  set(ASMJIT_NO_AARCH32 FALSE)
endif()

if (NOT DEFINED ASMJIT_NO_AARCH64)
  set(ASMJIT_NO_AARCH64 FALSE)
endif()

if (NOT DEFINED ASMJIT_NO_FOREIGN)
  set(ASMJIT_NO_FOREIGN FALSE)
endif()

if (NOT DEFINED ASMJIT_NO_NATVIS)
  set(ASMJIT_NO_NATVIS FALSE)
endif()

if (NOT DEFINED ASMJIT_NO_CUSTOM_FLAGS)
  set(ASMJIT_NO_CUSTOM_FLAGS FALSE)
endif()

# EMBED implies STATIC.
if (ASMJIT_EMBED AND NOT ASMJIT_STATIC)
  set(ASMJIT_STATIC TRUE)
endif()

set(ASMJIT_DIR             "${CMAKE_CURRENT_LIST_DIR}" CACHE PATH "Location of 'asmjit'")
set(ASMJIT_TEST            "${ASMJIT_TEST}"            CACHE BOOL "Build 'asmjit' test applications")
set(ASMJIT_EMBED           "${ASMJIT_EMBED}"           CACHE BOOL "Embed 'asmjit' library (no targets)")
set(ASMJIT_STATIC          "${ASMJIT_STATIC}"          CACHE BOOL "Build 'asmjit' library as static")
set(ASMJIT_SANITIZE        "${ASMJIT_SANITIZE}"        CACHE STRING "Build with sanitizers: 'address', 'undefined', etc...")
set(ASMJIT_NO_X86          "${ASMJIT_NO_X86}"          CACHE BOOL "Disable X86/X64 backend")
set(ASMJIT_NO_AARCH32      "${ASMJIT_NO_AARCH32}"      CACHE BOOL "Disable AArch32 backend (ARM and THUMB)")
set(ASMJIT_NO_AARCH64      "${ASMJIT_NO_AARCH64}"      CACHE BOOL "Disable AArch64 backend")
set(ASMJIT_NO_FOREIGN      "${ASMJIT_NO_FOREIGN}"      CACHE BOOL "Disable all foreign architectures (enables only a native architecture)")
set(ASMJIT_NO_NATVIS       "${ASMJIT_NO_NATVIS}"       CACHE BOOL "Disable natvis support (embedding asmjit.natvis in PDB)")
set(ASMJIT_NO_CUSTOM_FLAGS "${ASMJIT_NO_CUSTOM_FLAGS}" CACHE BOOL "Disable extra compilation flags added by AsmJit to its targets")

# AsmJit - Project
# ================

set(ASMJIT_INCLUDE_DIRS "${ASMJIT_DIR}/src")     # Include directory is the same as source dir.
set(ASMJIT_DEPS "")                              # AsmJit dependencies (libraries) for the linker.
set(ASMJIT_LIBS "")                              # Dependencies of libs/apps that want to use AsmJit.
set(ASMJIT_CFLAGS "")                            # Public compiler flags.
set(ASMJIT_PRIVATE_CFLAGS "")                    # Private compiler flags independent of build type.
set(ASMJIT_PRIVATE_CFLAGS_DBG "")                # Private compiler flags used by debug builds.
set(ASMJIT_PRIVATE_CFLAGS_REL "")                # Private compiler flags used by release builds.
set(ASMJIT_SANITIZE_CFLAGS "")                   # Compiler flags required by currently enabled sanitizers.
set(ASMJIT_SANITIZE_LFLAGS "")                   # Linker flags required by currently enabled sanitizers.

# AsmJit - Utilities
# ==================

function(asmjit_detect_cflags out)
  set(out_array ${${out}})
  foreach(flag ${ARGN})
    string(REGEX REPLACE "[+]" "x" flag_signature "${flag}")
    string(REGEX REPLACE "[-=:;/.\]" "_" flag_signature "${flag_signature}")
    check_cxx_compiler_flag(${flag} "__CxxFlag_${flag_signature}")
    if (${__CxxFlag_${flag_signature}})
      list(APPEND out_array "${flag}")
    endif()
  endforeach()
  set(${out} "${out_array}" PARENT_SCOPE)
endfunction()

# Support for various sanitizers provided by C/C++ compilers.
function(asmjit_detect_sanitizers out)
  set(_out_array ${${out}})
  set(_flags "")

  foreach(_arg ${ARGN})
    string(REPLACE "," ";" _arg "${_arg}")
    list(APPEND _flags ${_arg})
  endforeach()

  foreach(_flag ${_flags})
    if (NOT "${_flag}" MATCHES "^-fsanitize=")
      SET(_flag "-fsanitize=${_flag}")
    endif()

    # Sanitizers also require link flags, see CMAKE_REQUIRED_FLAGS.
    set(CMAKE_REQUIRED_FLAGS "${_flag}")
    asmjit_detect_cflags(_out_array ${_flag})
    unset(CMAKE_REQUIRED_FLAGS)
  endforeach()

  set(${out} "${_out_array}" PARENT_SCOPE)
endfunction()

function(asmjit_add_target target target_type)
  set(single_val "")
  set(multi_val SOURCES LIBRARIES CFLAGS CFLAGS_DBG CFLAGS_REL)
  cmake_parse_arguments("X" "" "${single_val}" "${multi_val}" ${ARGN})

  if ("${target_type}" MATCHES "^(EXECUTABLE|TEST)$")
    add_executable(${target} ${X_SOURCES})
  else()
    add_library(${target} ${target_type} ${X_SOURCES})
  endif()

  set_target_properties(${target} PROPERTIES DEFINE_SYMBOL "")
  target_link_libraries(${target} PRIVATE ${X_LIBRARIES})

  # target_link_options was added in cmake v3.13, don't use it for now...
  foreach(link_flag ${ASMJIT_SANITIZE_LFLAGS})
    set_property(TARGET ${target} APPEND_STRING PROPERTY LINK_FLAGS " ${link_flag}")
  endforeach()

  if (${CMAKE_VERSION} VERSION_LESS "3.8.0")
    set_property(TARGET ${target} PROPERTY CXX_STANDARD 11)
  else()
    target_compile_features(${target} PUBLIC cxx_std_11)
  endif()
  set_property(TARGET ${target} PROPERTY CXX_EXTENSIONS NO)
  set_property(TARGET ${target} PROPERTY CXX_VISIBILITY_PRESET hidden)
  target_compile_options(${target} PRIVATE ${X_CFLAGS} ${ASMJIT_SANITIZE_CFLAGS} $<$<CONFIG:Debug>:${X_CFLAGS_DBG}> $<$<NOT:$<CONFIG:Debug>>:${X_CFLAGS_REL}>)

  if ("${target_type}" STREQUAL "TEST")
    add_test(NAME ${target} COMMAND ${target})
  endif()
endfunction()

# AsmJit - Compiler Support
# =========================

set(ASMJIT_INCLUDE_DIRS "${ASMJIT_DIR}/src")     # Include directory is the same as source dir.
set(ASMJIT_DEPS "")                              # AsmJit dependencies (libraries) for the linker.
set(ASMJIT_LIBS "")                              # Dependencies of libs/apps that want to use AsmJit.
set(ASMJIT_CFLAGS "")                            # Public compiler flags.
set(ASMJIT_PRIVATE_CFLAGS "")                    # Private compiler flags independent of build type.
set(ASMJIT_PRIVATE_CFLAGS_DBG "")                # Private compiler flags used by debug builds.
set(ASMJIT_PRIVATE_CFLAGS_REL "")                # Private compiler flags used by release builds.
set(ASMJIT_SANITIZE_CFLAGS "")                   # Compiler flags required by currently enabled sanitizers.
set(ASMJIT_SANITIZE_LFLAGS "")                   # Linker flags required by currently enabled sanitizers.

# We will have to keep this most likely forever as some users may still be using it.
set(ASMJIT_INCLUDE_DIR "${ASMJIT_INCLUDE_DIRS}")

if (NOT ASMJIT_NO_CUSTOM_FLAGS)
  if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR "x${CMAKE_CXX_SIMULATE_ID}" STREQUAL "xMSVC")
    list(APPEND ASMJIT_PRIVATE_CFLAGS
      -MP                      # [+] Multi-Process Compilation.
      -GF                      # [+] Eliminate duplicate strings.
      -Zc:__cplusplus          # [+] Conforming __cplusplus definition.
      -Zc:inline               # [+] Remove unreferenced COMDAT.
      -Zc:strictStrings        # [+] Strict const qualification of string literals.
      -Zc:threadSafeInit-      # [-] Thread-safe statics.
      -W4)                     # [+] Warning level 4.

    list(APPEND ASMJIT_PRIVATE_CFLAGS_DBG
      -GS)                     # [+] Buffer security-check.

    list(APPEND ASMJIT_PRIVATE_CFLAGS_REL
      -GS-                     # [-] Buffer security-check.
      -O2                      # [+] Favor speed over size.
      -Oi)                     # [+] Generate intrinsic functions.
  elseif ("${CMAKE_CXX_COMPILER_ID}" MATCHES "^(GNU|Clang|AppleClang)$")
    list(APPEND ASMJIT_PRIVATE_CFLAGS -Wall -Wextra -Wconversion)
    list(APPEND ASMJIT_PRIVATE_CFLAGS -fno-math-errno)
    list(APPEND ASMJIT_PRIVATE_CFLAGS_REL -O2)

    asmjit_detect_cflags(ASMJIT_PRIVATE_CFLAGS
      -fno-threadsafe-statics
      -fno-semantic-interposition)

    # The following flags can save few bytes in the resulting binary.
    asmjit_detect_cflags(ASMJIT_PRIVATE_CFLAGS_REL
      -fmerge-all-constants    # Merge all constants even if it violates ISO C++.
      -fno-enforce-eh-specs)   # Don't enforce termination if noexcept function throws.
  endif()
endif()

# Support for sanitizers.
if (ASMJIT_SANITIZE)
  ASMJIT_detect_sanitizers(ASMJIT_SANITIZE_CFLAGS ${ASMJIT_SANITIZE})
  if (ASMJIT_SANITIZE_CFLAGS)
    message("-- Enabling sanitizers: '${ASMJIT_SANITIZE_CFLAGS}'")

    # Linker must receive the same flags as the compiler when it comes to sanitizers.
    set(ASMJIT_SANITIZE_LFLAGS ${ASMJIT_SANITIZE_CFLAGS})

    # Don't omit frame pointer if sanitizers are enabled.
    if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC" OR "x${CMAKE_CXX_SIMULATE_ID}" STREQUAL "xMSVC")
      list(APPEND ASMJIT_SANITIZE_CFLAGS -Oy-)
    else()
      list(APPEND ASMJIT_SANITIZE_CFLAGS -fno-omit-frame-pointer -g)
    endif()

    list(APPEND ASMJIT_PRIVATE_CFLAGS ${ASMJIT_SANITIZE_CFLAGS})
    list(APPEND ASMJIT_PRIVATE_LFLAGS ${ASMJIT_SANITIZE_LFLAGS})
  endif()
endif()

# Do not link to pthread on Android as it's part of C runtime.
if (NOT WIN32 AND NOT ANDROID)
  list(APPEND ASMJIT_DEPS pthread)
endif()

if ("${CMAKE_SYSTEM_NAME}" MATCHES "Linux" OR "${CMAKE_SYSTEM_NAME}" MATCHES "NetBSD")
  list(APPEND ASMJIT_DEPS rt)
endif()

set(ASMJIT_LIBS ${ASMJIT_DEPS})
if (NOT ASMJIT_EMBED)
  list(INSERT ASMJIT_LIBS 0 asmjit)
endif()

if (ASMJIT_EMBED)
  set(ASMJIT_TARGET_TYPE "EMBED")
elseif (ASMJIT_STATIC)
  set(ASMJIT_TARGET_TYPE "STATIC")
else()
  set(ASMJIT_TARGET_TYPE "SHARED")
endif()

foreach(build_option ASMJIT_STATIC
                     # AsmJit backends selection.
                     ASMJIT_NO_X86
                     ASMJIT_NO_AARCH32
                     ASMJIT_NO_AARCH64
                     ASMJIT_NO_FOREIGN
                     # AsmJit features selection.
                     ASMJIT_NO_DEPRECATED
                     ASMJIT_NO_JIT
                     ASMJIT_NO_LOGGING
                     ASMJIT_NO_BUILDER
                     ASMJIT_NO_COMPILER
                     ASMJIT_NO_TEXT
                     ASMJIT_NO_VALIDATION
                     ASMJIT_NO_INTROSPECTION)
  if (${build_option})
    List(APPEND ASMJIT_CFLAGS         "-D${build_option}")
    List(APPEND ASMJIT_PRIVATE_CFLAGS "-D${build_option}")
  endif()
endforeach()

# AsmJit - Linker Support
# =======================

if (WIN32)
  if(CMAKE_LINKER MATCHES "link\\.exe" OR CMAKE_LINKER MATCHES "lld-link\\.exe")
    set(ASMJIT_LINKER_SUPPORTS_NATVIS TRUE)
  endif()
endif()

# AsmJit - Source
# ===============

set(ASMJIT_SRC_LIST
  asmjit/asmjit.h
  asmjit/asmjit-scope-begin.h
  asmjit/asmjit-scope-end.h

  asmjit/core.h
  asmjit/core/api-build_p.h
  asmjit/core/api-config.h
  asmjit/core/archtraits.cpp
  asmjit/core/archtraits.h
  asmjit/core/archcommons.h
  asmjit/core/assembler.cpp
  asmjit/core/assembler.h
  asmjit/core/builder.cpp
  asmjit/core/builder.h
  asmjit/core/codebuffer.h
  asmjit/core/codeholder.cpp
  asmjit/core/codeholder.h
  asmjit/core/codewriter.cpp
  asmjit/core/codewriter_p.h
  asmjit/core/compiler.cpp

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: mame
 Section: games
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Cesare Falco <c.falco@ubuntu.com>,
-           Emmanuel Kasper <emmanuel@libera.cc>,
-           Jordi Mallach <jordi@debian.org>
+ Emmanuel Kasper <emmanuel@libera.cc>,
+ Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.17),
-               libasio-dev (>= 1.20),
-               libexpat1-dev,
-               libflac-dev,
-               libfontconfig1-dev,
-               libglm-dev,
-               libjpeg-dev,
-               libportmidi-dev [linux-any],
-               libpugixml-dev,
-               libsdl2-dev,
-               libsdl2-ttf-dev,
-               libsqlite3-dev,
-               libutf8proc-dev,
-               libutil-freebsd-dev [kfreebsd-any],
-               libxinerama-dev,
-               portaudio19-dev,
-               python3-dev,
-               qtbase5-dev,
-               rapidjson-dev (>= 1.0),
-               zlib1g-dev
-Build-Depends-Indep: python3-sphinx
+ dpkg-dev (>= 1.17),
+ libasio-dev (>= 1.20),
+ libexpat1-dev,
+ libflac-dev,
+ libfontconfig1-dev,
+ libglm-dev,
+ libjpeg-dev,
+# liblua5.3-dev,
+ libportmidi-dev [linux-any],
+ libpugixml-dev,
+ libsdl2-dev,
+ libsdl2-ttf-dev,
+ libsqlite3-dev,
+ libutf8proc-dev,
+ libutil-freebsd-dev [kfreebsd-any],
+ libxinerama-dev,
+ portaudio19-dev,
+ python3-dev,
+ qtbase5-dev,
+ rapidjson-dev (>= 1.0),
+ zlib1g-dev
+Build-Depends-Indep: python3-sphinx,
+ python3-sphinxcontrib.svg2pdfconverter
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/mame.git
 Vcs-Browser: https://salsa.debian.org/games-team/mame
@@ -36,10 +37,15 @@
 
 Package: mame
 Architecture: any
-Depends: mame-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ mame-data (= ${source:Version})
 Replaces: mess (<< 0.162)
 Breaks: mess (<< 0.162)
-Suggests: gnome-video-arcade, mame-doc, mame-extra, mame-tools
+Suggests: gnome-video-arcade,
+ mame-doc,
+ mame-extra,
+ mame-tools
 Description: Multiple Arcade Machine Emulator (MAME)
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
  arcade machines (it is not a simulation). This program is not a game but can
@@ -68,7 +74,8 @@
 Package: mame-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+ ${shlibs:Depends}
 Recommends: mame (= ${source:Version})
 Description: Tools for MAME
  MAME is a hardware emulator: it faithfully reproduces the behavior of many
@@ -88,7 +95,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libjs-mathjax, libjs-sphinxdoc
+Suggests: libjs-sphinxdoc, libjs-mathjax
 Enhances: mame
 Multi-Arch: foreign
 Description: Documentation for MAME
